org.codehaus.groovy.reflection

## Class ReflectionCache

- java.lang.Object
- - org.codehaus.groovy.reflection.ReflectionCache

    public class ReflectionCache
    extends Object

### Field Summary

Fields
`static CachedClass` `OBJECT_ARRAY_CLASS`
`static CachedClass` `OBJECT_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`ReflectionCache()`

### Method Summary

Methods
`static Class` `autoboxType(Class type)`
`static CachedClass` `getCachedClass(Class klazz)`
`static String` `getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)`
`static boolean` `isArray(Class klazz)`
`static boolean` `isAssignableFrom(Class klazz, Class aClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBJECT_CLASS

    public static final CachedClass OBJECT_CLASS

#### OBJECT_ARRAY_CLASS

    public static final CachedClass OBJECT_ARRAY_CLASS

### Constructor Detail

#### ReflectionCache

    public ReflectionCache()

### Method Detail

#### autoboxType

    public static Class autoboxType(Class type)

#### getMOPMethodName

    public static String getMOPMethodName(CachedClass declaringClass,
                          String name,
                          boolean useThis)

#### isArray

    public static boolean isArray(Class klazz)

#### isAssignableFrom

    public static boolean isAssignableFrom(Class klazz,
                           Class aClass)

#### getCachedClass

    public static CachedClass getCachedClass(Class klazz)